Trips
Create a task template
Saves a reusable client-level TripTaskTemplate. The tasks array stores task definitions in template form (no trip_id, no concrete due_date — they use due_date_offset and depends_on_index instead). Requires manage_task_templates.
POST
/
frontend
/
participant
/
trips
/
{client_id}
/
{trip_id}
/
leader
/
task-templates
/
{session_id}
Create a task template
curl --request POST \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"name": "<string>",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": true,
"requires_document": true,
"requires_approval": true,
"depends_on_index": 123,
"reminder_days_before": 123
}
]
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}"
payload = {
"name": "<string>",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": True,
"requires_document": True,
"requires_approval": True,
"depends_on_index": 123,
"reminder_days_before": 123
}
]
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tasks: [
{
title: '<string>',
description: '<string>',
due_date_offset: 123,
is_required: true,
requires_document: true,
requires_approval: true,
depends_on_index: 123,
reminder_days_before: 123
}
]
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tasks' => [
[
'title' => '<string>',
'description' => '<string>',
'due_date_offset' => 123,
'is_required' => true,
'requires_document' => true,
'requires_approval' => true,
'depends_on_index' => 123,
'reminder_days_before' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.
Path Parameters
Body
application/json
⌘I
Create a task template
curl --request POST \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"name": "<string>",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": true,
"requires_document": true,
"requires_approval": true,
"depends_on_index": 123,
"reminder_days_before": 123
}
]
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}"
payload = {
"name": "<string>",
"tasks": [
{
"title": "<string>",
"description": "<string>",
"due_date_offset": 123,
"is_required": True,
"requires_document": True,
"requires_approval": True,
"depends_on_index": 123,
"reminder_days_before": 123
}
]
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tasks: [
{
title: '<string>',
description: '<string>',
due_date_offset: 123,
is_required: true,
requires_document: true,
requires_approval: true,
depends_on_index: 123,
reminder_days_before: 123
}
]
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tasks' => [
[
'title' => '<string>',
'description' => '<string>',
'due_date_offset' => 123,
'is_required' => true,
'requires_document' => true,
'requires_approval' => true,
'depends_on_index' => 123,
'reminder_days_before' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/task-templates/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tasks\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"due_date_offset\": 123,\n \"is_required\": true,\n \"requires_document\": true,\n \"requires_approval\": true,\n \"depends_on_index\": 123,\n \"reminder_days_before\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}